Eclipse GEF 3.2

## org.eclipse.gef.ui.actions
Class SaveAction

    java.lang.Object
      org.eclipse.gef.ui.actions.WorkbenchPartAction
          org.eclipse.gef.ui.actions.EditorPartAction
              org.eclipse.gef.ui.actions.SaveAction

public class SaveAction
extends EditorPartAction

An action to save the editor's current state.

Constructor Summary
`SaveAction(IEditorPart editor)` Constructs a `SaveAction` and associates it with the given editor.

Method Summary
`protected boolean` `calculateEnabled()` Calculates and returns the enabled state of this action.
`protected void` `init()` Initializes this action's text.
`void` `run()` Saves the state of the associated editor.

Methods inherited from class org.eclipse.gef.ui.actions.EditorPartAction
`getEditorPart, setEditorPart`

Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction
`dispose, execute, getCommandStack, getWorkbenchPart, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveAction

    public SaveAction(IEditorPart editor)

  Constructs a `SaveAction` and associates it with the given editor.

Parameters:
  `editor` - the IEditorPart

Method Detail

### calculateEnabled

    protected boolean calculateEnabled()

  Description copied from class: `WorkbenchPartAction`
  Calculates and returns the enabled state of this action.

  Specified by:
    `calculateEnabled` in class `WorkbenchPartAction`
  Returns:
    `true` if the action is enabled
  See Also:
    `WorkbenchPartAction.calculateEnabled()`

### init

    protected void init()

  Initializes this action's text.

  Overrides:
    `init` in class `WorkbenchPartAction`

### run

    public void run()

  Saves the state of the associated editor.

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.